Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Content Acquisition System Web Service Stubs 3.2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.endeca.itl.cas
Class ComparisonOperator

    java.lang.Object
      com.endeca.itl.cas.ComparisonOperator

All Implemented Interfaces:
  java.io.Serializable

    public class ComparisonOperator

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `_EQUAL`
`static java.lang.String` | `_GREATER`
`static java.lang.String` | `_GREATER_EQUAL`
`static java.lang.String` | `_LESS`
`static java.lang.String` | `_LESS_EQUAL`
`static java.lang.String` | `_NOT_EQUAL`
`static ComparisonOperator` | `EQUAL`
`static ComparisonOperator` | `GREATER`
`static ComparisonOperator` | `GREATER_EQUAL`
`static ComparisonOperator` | `LESS`
`static ComparisonOperator` | `LESS_EQUAL`
`static ComparisonOperator` | `NOT_EQUAL`

Constructor Summary
`protected` | `ComparisonOperator(java.lang.String value)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`static ComparisonOperator` | `fromString(java.lang.String value)`
`static ComparisonOperator` | `fromValue(java.lang.String value)`
`static org.apache.axis.encoding.Deserializer` | `getDeserializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)`
`static org.apache.axis.encoding.Serializer` | `getSerializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)`
`static org.apache.axis.description.TypeDesc` | `getTypeDesc()` Return type metadata object
`java.lang.String` | `getValue()`
`int` | `hashCode()`
`java.lang.Object` | `readResolve()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### _NOT_EQUAL

    public static final java.lang.String _NOT_EQUAL

See Also:
  Constant Field Values

### _GREATER

    public static final java.lang.String _GREATER

See Also:
  Constant Field Values

### _GREATER_EQUAL

    public static final java.lang.String _GREATER_EQUAL

See Also:
  Constant Field Values

### _EQUAL

    public static final java.lang.String _EQUAL

See Also:
  Constant Field Values

### _LESS_EQUAL

    public static final java.lang.String _LESS_EQUAL

See Also:
  Constant Field Values

### _LESS

    public static final java.lang.String _LESS

See Also:
  Constant Field Values

### NOT_EQUAL

    public static final ComparisonOperator NOT_EQUAL

### GREATER

    public static final ComparisonOperator GREATER

### GREATER_EQUAL

    public static final ComparisonOperator GREATER_EQUAL

### EQUAL

    public static final ComparisonOperator EQUAL

### LESS_EQUAL

    public static final ComparisonOperator LESS_EQUAL

### LESS

    public static final ComparisonOperator LESS

Constructor Detail

### ComparisonOperator

    protected ComparisonOperator(java.lang.String value)

Method Detail

### getValue

    public java.lang.String getValue()

### fromValue

    public static ComparisonOperator fromValue(java.lang.String value)
                                        throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### fromString

    public static ComparisonOperator fromString(java.lang.String value)
                                         throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### readResolve

    public java.lang.Object readResolve()
                                 throws java.io.ObjectStreamException

  Throws:
    `java.io.ObjectStreamException`

### getSerializer

    public static org.apache.axis.encoding.Serializer getSerializer(java.lang.String mechType,
                                                                    java.lang.Class _javaType,
                                                                    javax.xml.namespace.QName _xmlType)

### getDeserializer

    public static org.apache.axis.encoding.Deserializer getDeserializer(java.lang.String mechType,
                                                                        java.lang.Class _javaType,
                                                                        javax.xml.namespace.QName _xmlType)

### getTypeDesc

    public static org.apache.axis.description.TypeDesc getTypeDesc()

  Return type metadata object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Content Acquisition System Web Service Stubs 3.2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, 2012, Oracle and/or its affiliates. All rights reserved.

    @VERSION
    PRODUCT: Content Acquisition System Web Service Stubs (casStubs)
    VERSION: 3.2.2
    BUILD:   NONEDEV
    ARCH_OS: n/a
    DATE:    2012-02-28T13:13:19-0500